import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/LoginView.vue'
import UserStoriesView from '../views/UserStoriesView.vue'

const routes = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/login',
    name: 'login',
    component: LoginView
  },
  {
    path: '/user-stories',
    name: 'user-stories',
    component: UserStoriesView
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
